#!/bin/bash 
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#-------------------------------------------------------------------------------
# Unit tests for org.glite.data.srm-util-cpp
# Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
# Version info: $Id: unit-test.sh,v 1.4 2009/08/03 14:15:01 molnarzs Exp $
# Release: $Name:  $
#-------------------------------------------------------------------------------

. stub_common.sh

# test_srm_util
test_srm_util__DEPENDS="init_unit_test test_srm_util_install test_srm_util_stub_sd_install"
function test_srm_util(){
    rm -rf ${MODULE_TEST_DIR}/var/tmp/srm/pool
    rm -rf ${MODULE_TEST_DIR}/var/tmp/srm2/pool
    run_test_function start_stub_servers || return ${?}
    sleep 1
    echo "Processing..."
    echo "LD_LIBRARY_PATH=${LD_LIBRARY_PATH}"
    if [ ${GDB} ]; then
        local gdb_batch_file="$(mktemp)"
        echo "b main" > ${gdb_batch_file}
        echo "run -1 httpg://localhost:8043/srm/managerv1 -2 httpg://localhost:8044/srm/managerv2 -l ${MODULE_TEST_DIR} -s" >> ${gdb_batch_file}
        echo "${MODULE_TEST_DIR}/bin/glite-data-srm-util-test -1 httpg://localhost:8043/srm/managerv1 -2 httpg://localhost:8044/srm/managerv2 -l ${MODULE_TEST_DIR} -s"
        (cd ${GLITE_LOCATION}/bin && 
            env GLITE_LOCATION="${MODULE_TEST_DIR}" \
            ${TESTS_CGSI_TRACE} \
            CGSI_TRACEFILE="${MODULE_TEST_DIR}/var/log/glite-srm-util-test.cgsi" \
            gdb -x ${gdb_batch_file} -x ${gdb_batch_file} -x ${gdb_batch_file} -x ${gdb_batch_file} -x ${gdb_batch_file} -x ${gdb_batch_file} -x ${gdb_batch_file} -x ${gdb_batch_file} -x ${gdb_batch_file} ${MODULE_TEST_DIR}/bin/glite-data-srm-util-test)
        local result=${?}
        rm ${gdb_batch_file}
    else
        (cd ${GLITE_LOCATION}/bin && 
            env GLITE_LOCATION="${MODULE_TEST_DIR}" \
            ${TESTS_CGSI_TRACE} \
            CGSI_TRACEFILE="${MODULE_TEST_DIR}/var/log/glite-srm-util-test.cgsi" \
            ${MODULE_TEST_DIR}/bin/glite-data-srm-util-test -1 httpg://localhost:8043/srm/managerv1 -2 httpg://localhost:8044/srm/managerv2 -l ${MODULE_TEST_DIR} -s)
        local result=${?}
    fi
    run_test_function stop_stub_servers
    rm -rf ${MODULE_TEST_DIR}/var/tmp/srm/pool
    rm -rf ${MODULE_TEST_DIR}/var/tmp/srm2/pool
    return ${result}
}

# test_all
test_all__DEPENDS="test_srm_util"
function test_all(){
    true
}

process_command_line ${*}
